Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1110365 - Reports with errors on the puppet master side are not shown as failed
Summary: Reports with errors on the puppet master side are not shown as failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installation
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 13:49 UTC by Bryan Kearney
Modified: 2019-09-26 18:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:27:01 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
broken module (runtime) (3.03 KB, application/x-tar-gz)
2014-08-12 12:23 UTC, Dominic Cleal
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 3851 0 None None None 2016-04-22 16:25:06 UTC

Description Bryan Kearney 2014-06-17 13:49:19 UTC
If a puppet agent gets an error like "Could not retrieve catalog from remote server: Error 400 on SERVER: Failed to parse template" or a syntax error on the puppet master, this is correctly shown as
Level "err"
Resource "Puppet"
Message "Could not retrieve catalog..."
when I click in such a report. However, when I browse reports, such reports are marked with 0 "Failed" events. I then have to search for e.g. "log ~ err" to see if such reports exist.

These Reports should be marked as failed.

Comment 1 Bryan Kearney 2014-06-17 13:49:21 UTC
Created from redmine issue http://projects.theforeman.org/issues/3851

Comment 2 Bryan Kearney 2014-06-17 13:49:31 UTC
Upstream bug assigned to dcleal

Comment 4 Bryan Kearney 2014-06-17 14:05:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/3851 has been closed

Comment 6 Dominic Cleal 2014-08-12 12:23:11 UTC
Created attachment 926062 [details]
broken module (runtime)

Verification steps:

1. import the attached broken module into a content view + publish
2. add the brokenmodule Puppet class to a host
3. run "service puppet restart" or "puppet agent -t" on the host
4. check for a new report with at least one failure
5. check the host is shown in error (red E) state

Comment 7 Tazim Kolhar 2014-08-13 07:00:56 UTC
VERIFIED

the host is shown in error (red E)

Comment 8 Bryan Kearney 2014-09-11 12:27:01 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.